### Method

# FoundryGtk SourceBuffer dup_override_syntax

#### Declaration [src]

    char*
    foundry_source_buffer_dup_override_syntax (
      FoundrySourceBuffer* self
    )

#### Description [src]

Gets the syntax to be used, overriding any language guessing.

`NULL` indicates to use the default guessed syntax.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.